Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libucil
#Epoch:		0
Version:	0.9.8
Release:	1
License:	GNU/GPLv2
URL:		http://unicap-imaging.org
Group:		System/Libraries
Summary:	library for text and graphic overlays onto images
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libtheora-devel
BuildRequires: libunicap-devel
BuildRequires: libvorbis-devel
BuildRequires: pango-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
The ucil library provides easy to use functions to render text and graphic overlays onto video images.



%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libucil.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/unicap/ucil_alsa.h
%{_includedir}/unicap/ucil.h
%{_includedir}/unicap/ucil_png.h
%{_includedir}/unicap/ucil_version.h
%{_libdir}/libucil.a
%{_libdir}/libucil.la
%{_libdir}/libucil.so
%{_pkgconfig}/libucil.pc
%{_datadir}/gtk-doc/html/libucil

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Jul 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.8-1
- initial CCux package release
